linux安装python,编译时警告提示"永远不会执行"

本人菜鸟,求教大神
安装python,执行编译make时提示"永远不会执行"图片说明

1个回答

警告而已,可以先不管,make结束后,看python是否安装好

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
linux 执行python 异常 WebDriverException

python执行日志: [root@localhost opt]# python ./tbacnt_check.py Traceback (most recent call last): File "./tbacnt_check.py", line 36, in <module> driver = webdriver.Firefox(profile) File "/usr/local/lib/python3.5/site-packages/selenium/webdriver/firefox/webdriver.py", line 167, in __init__ keep_alive=True) File "/usr/local/lib/python3.5/site-packages/selenium/webdriver/remote/webdriver.py", line 156, in __init__ self.start_session(capabilities, browser_profile) File "/usr/local/lib/python3.5/site-packages/selenium/webdriver/remote/webdriver.py", line 251, in start_session response = self.execute(Command.NEW_SESSION, parameters) File "/usr/local/lib/python3.5/site-packages/selenium/webdriver/remote/webdriver.py", line 320, in execute self.error_handler.check_response(response) File "/usr/local/lib/python3.5/site-packages/selenium/webdriver/remote/errorhandler.py", line 242, in check_response raise exception_class(message, screen, stacktrace) selenium.common.exceptions.WebDriverException: Message: Process unexpectedly closed with status: 1 下面是火狐 驱动日志 [root@localhost opt]# cat geckodriver.log 1533960909134 geckodriver INFO geckodriver 0.19.1 1533960909139 geckodriver INFO Listening on 127.0.0.1:58648 1533960910337 mozrunner::runner INFO Running command: "/usr/bin/firefox" "-marionette" "-profile" "/tmp/rust_mozprofile.YfTd8Xc4aSZ4" Error: no DISPLAY environment variable specified

python 这样列表 [("1","2","3")] 里有小括号,怎么去掉小括号啊

python 这样列表 [("1","2","3")] 里有小括号,怎么去掉小括号变为["1","2","3"]

npm install python报错

node-pre-gyp ERR! Tried to download(403): https://node-zopfli.s3.amazonaws.com/Release/zopfli-v2.0.2-node-v57-win32-x64.tar.gz node-pre-gyp ERR! Pre-built binaries not found for node-zopfli@2.0.2 and node@8.12.0 (node-v57 ABI, unknown) (falling back to source compile with node-gyp) gyp ERR! configure error gyp ERR! stack Error: Can't find Python executable "python2.7", you can set the PYTHON env variable. gyp ERR! stack at PythonFinder.failNoPython (C:\Program Files\nodejs\node_modules\npm\node_modules\node-gyp\lib\configure.js:484:19) gyp ERR! stack at PythonFinder.<anonymous> (C:\Program Files\nodejs\node_modules\npm\node_modules\node-gyp\lib\configure.js:509:16) gyp ERR! stack at C:\Program Files\nodejs\node_modules\npm\node_modules\graceful-fs\polyfills.js:284:29 gyp ERR! stack at FSReqWrap.oncomplete (fs.js:152:21) gyp ERR! System Windows_NT 10.0.17134 gyp ERR! command "C:\\Program Files\\nodejs\\node.exe" "C:\\Program Files\\nodejs\\node_modules\\npm\\node_modules\\node-gyp\\bin\\node-gyp.js" "configure" "--fallback-to-build" "--module=C:\\Users\\78472\\Desktop\\vue-multi-page\\node_modules\\node-zopfli\\lib\\binding\\node-v57-win32-x64\\zopfli.node" "--module_name=zopfli" "--module_path=C:\\Users\\78472\\Desktop\\vue-multi-page\\node_modules\\node-zopfli\\lib\\binding\\node-v57-win32-x64" "--python=python2.7" "--msvs_version=2015" gyp ERR! cwd C:\Users\78472\Desktop\vue-multi-page\node_modules\node-zopfli gyp ERR! node -v v8.12.0 gyp ERR! node-gyp -v v3.8.0 gyp ERR! not ok node-pre-gyp ERR! build error node-pre-gyp ERR! stack Error: Failed to execute 'C:\Program Files\nodejs\node.exe C:\Program Files\nodejs\node_modules\npm\node_modules\node-gyp\bin\node-gyp.js configure --fallback-to-build --module=C:\Users\78472\Desktop\vue-multi-page\node_modules\node-zopfli\lib\binding\node-v57-win32-x64\zopfli.node --module_name=zopfli --module_path=C:\Users\78472\Desktop\vue-multi-page\node_modules\node-zopfli\lib\binding\node-v57-win32-x64 --python=python2.7 --msvs_version=2015' (1) node-pre-gyp ERR! stack at ChildProcess.<anonymous> (C:\Users\78472\Desktop\vue-multi-page\node_modules\node-pre-gyp\lib\util\compile.js:83:29) node-pre-gyp ERR! stack at emitTwo (events.js:126:13) node-pre-gyp ERR! stack at ChildProcess.emit (events.js:214:7) node-pre-gyp ERR! stack at maybeClose (internal/child_process.js:915:16) node-pre-gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:209:5) node-pre-gyp ERR! System Windows_NT 10.0.17134 node-pre-gyp ERR! command "C:\\Program Files\\nodejs\\node.exe" "C:\\Users\\78472\\Desktop\\vue-multi-page\\node_modules\\node-pre-gyp\\bin\\node-pre-gyp" "install" "--fallback-to-build" node-pre-gyp ERR! cwd C:\Users\78472\Desktop\vue-multi-page\node_modules\node-zopfli node-pre-gyp ERR! node -v v8.12.0 node-pre-gyp ERR! node-pre-gyp -v v0.6.39 node-pre-gyp ERR! not ok 以上是错误内容

在Linux服务器上配置python(无root权限),make pycaffe出现问题。

根据教程https://blog.csdn.net/jiajinrang93/article/details/80337513?tdsourcetag=s_pctim_aiomsg 在Linux服务器上配置caffe, cmake 时出现: ``` CMake Error at CMakeLists.txt:107 (add_dependencies): The dependency target "pycaffe" of target "pytest" does not exist. ``` 但此错误不影响后续make 和 make install 以及 make runtest都可以通过 ![图片说明](https://img-ask.csdn.net/upload/201904/19/1555673994_130280.jpg) 然后在配置python接口时使用命令: ```python cd ~/caffe make pycaffe ``` 出现错误: ``` CXX .build_release/src/caffe/proto/caffe.pb.cc In file included from .build_release/src/caffe/proto/caffe.pb.cc:4:0: .build_release/src/caffe/proto/caffe.pb.h:9:42: fatal error: google/protobuf/stubs/common.h: No such file or directory compilation terminated. Makefile:598: recipe for target '.build_release/src/caffe/proto/caffe.pb.o' failed make: *** [.build_release/src/caffe/proto/caffe.pb.o] Error 1 ``` 以上问题已经解决√ --- 新的问题: make pycaffe出现 ``` LD -o .build_release/lib/libcaffe.so.1.0.0 /usr/bin/ld: cannot find -lhdf5_serial_hl /usr/bin/ld: cannot find -lhdf5_serial /usr/bin/ld: cannot find -lboost_python collect2: error: ld returned 1 exit status Makefile:582: recipe for target '.build_release/lib/libcaffe.so.1.0.0' failed make: *** [.build_release/lib/libcaffe.so.1.0.0] Error 1 ```

关于vscode测试的问题,No tests discovered, please check the configuration settings for the tests.

![图片说明](https://img-ask.csdn.net/upload/201905/19/1558255180_546448.png) 每次打开vscode,都会弹出这个窗口。我尝试搜了一下网上的方法,有这种问题的貌似很少,仅找到的几个也解决不了 下面是我的settings.json,求前辈帮忙看看如何解决~ { "python.pythonPath": "E:\\Anaconda3\\python.exe", "python.linting.pylintEnabled": true, "python.linting.enabled": true, "python.testing.pyTestArgs": [ "platforms" ], "python.testing.unittestEnabled": true, "python.testing.nosetestsEnabled": false, "python.testing.pyTestEnabled": false, "python.testing.unittestArgs": [ "-v", "-s", ".", "-p", "test_*.py" ], "python.testing.nosetestArgs": [ "platforms" ] }

匹配“<input name="mp" type="hidden" value="9" /> ”

大牛们,小妹有问题要问,我用python的,匹配“<input name="mp" type="hidden" value="9" /> ”,目的是取出其中的value值(例如这里9),主要是一页源代码中有很多这一句,但里面的value值不同,想要匹配所有这一句的value值,生成列表。我用的正则,怎么一会儿可以,一会儿不行呢,希望大家帮忙呢

Linux下 python import pdb出现无cmd属性

```求大神解答 ```Python 3.6.7 |Anaconda, Inc.| (default, Oct 23 2018, 19:16:44) [GCC 7.3.0] on linux Type "help", "copyright", "credits" or "license" for more information. >>> import tensorflow as tf Traceback (most recent call last): File "<stdin>", line 1, in <module> File "/miniconda/envs/py36/lib/python3.6/site-packages/tensorflow/__init__.py", line 28, in <module> from tensorflow.python import pywrap_tensorflow # pylint: disable=unused-import File "/miniconda/envs/py36/lib/python3.6/site-packages/tensorflow/python/__init__.py", line 63, in <module> from tensorflow.python.framework.framework_lib import * # pylint: disable=redefined-builtin File "/miniconda/envs/py36/lib/python3.6/site-packages/tensorflow/python/framework/framework_lib.py", line 25, in <module> from tensorflow.python.framework.ops import Graph File "/miniconda/envs/py36/lib/python3.6/site-packages/tensorflow/python/framework/ops.py", line 54, in <module> from tensorflow.python.platform import app File "/miniconda/envs/py36/lib/python3.6/site-packages/tensorflow/python/platform/app.py", line 23, in <module> from absl.app import run as _run File "/miniconda/envs/py36/lib/python3.6/site-packages/absl/app.py", line 35, in <module> import pdb File "/miniconda/envs/py36/lib/python3.6/pdb.py", line 136, in <module> class Pdb(bdb.Bdb, cmd.Cmd): AttributeError: module 'cmd' has no attribute 'Cmd'

linux下python2.7安装包分32和64位吗?

32位红帽linux 安装, ./configure出错,是不是64位的安装包导致的?怎么看包是多少位的

关于Mac下python pip版本问题以及pycharm安装python第三方库失败问题

我的电脑是mac 10.15版本 目前有两个python: 1. 系统自带Python 2.7.16 2. 自己安装python Python 3.7.3 在终端查询pip版本,结果是2.7的那个: pip 19.3.1 from /Library/Python/2.7/site-packages/pip (python 2.7) 查询pip3,结果显示错误: xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools), missing xcrun at: /Library/Developer/CommandLineTools/usr/bin/xcrun 好像问题就是在这里,我在终端用 pip install 安装python第三方库的时候总会有问题,提示pip版本过低,我想更新pip又会失败;或者根本无法安装。 然后我就选择从pycharm上搜索第三方库并安装,奇怪的是有的库可以成功安装,有的库安装失败并提示说pip版本过低,让我尝试从终端安装,可是从终端安装的话又会遇到之前的问题。 请问这个该怎么解决?

python 安装 pymssql 库时报错

安装第三方库 ``` pip install pymssql Traceback (most recent call last): File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_vendor\urllib3\response.py", line 425, in _error_catcher yield File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_vendor\urllib3\response.py", line 507, in read data = self._fp.read(amt) if not fp_closed else b"" File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_vendor\cachecontrol\filewrapper.py", line 62, in read data = self.__fp.read(amt) File "c:\users\XXX\appdata\local\programs\python\python37\lib\http\client.py", line 457, in read n = self.readinto(b) File "c:\users\XXX\appdata\local\programs\python\python37\lib\http\client.py", line 501, in readinto n = self.fp.readinto(b) File "c:\users\XXX\appdata\local\programs\python\python37\lib\socket.py", line 589, in readinto return self._sock.recv_into(b) File "c:\users\XXX\appdata\local\programs\python\python37\lib\ssl.py", line 1071, in recv_into return self.read(nbytes, buffer) File "c:\users\XXX\appdata\local\programs\python\python37\lib\ssl.py", line 929, in read return self._sslobj.read(len, buffer) socket.timeout: The read operation timed out During handling of the above exception, another exception occurred: Traceback (most recent call last): File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\cli\base_command.py", line 153, in _main status = self.run(options, args) File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\commands\install.py", line 382, in run resolver.resolve(requirement_set) File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\legacy_resolve.py", line 201, in resolve self._resolve_one(requirement_set, req) File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\legacy_resolve.py", line 365, in _resolve_one abstract_dist = self._get_abstract_dist_for(req_to_install) File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\legacy_resolve.py", line 313, in _get_abstract_dist_for req, self.session, self.finder, self.require_hashes File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\operations\prepare.py", line 194, in prepare_linked_requirement progress_bar=self.progress_bar File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\download.py", line 465, in unpack_url progress_bar=progress_bar File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\download.py", line 316, in unpack_http_url progress_bar) File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\download.py", line 551, in _download_http_url _download_url(resp, link, content_file, hashes, progress_bar) File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\download.py", line 253, in _download_url hashes.check_against_chunks(downloaded_chunks) File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\utils\hashes.py", line 80, in check_against_chunks for chunk in chunks: File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\download.py", line 223, in written_chunks for chunk in chunks: File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\utils\ui.py", line 160, in iter for x in it: File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\download.py", line 212, in resp_read decode_content=False): File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_vendor\urllib3\response.py", line 564, in stream data = self.read(amt=amt, decode_content=decode_content) File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_vendor\urllib3\response.py", line 529, in read raise IncompleteRead(self._fp_bytes_read, self.length_remaining) File "c:\users\XXX\appdata\local\programs\python\python37\lib\contextlib.py", line 130, in __exit__ self.gen.throw(type, value, traceback) File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_vendor\urllib3\response.py", line 430, in _error_catcher raise ReadTimeoutError(self._pool, None, "Read timed out.") pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='pypi.tuna.tsinghua.edu.cn', port=443): Read timed out. ``` 也下载了 wordcloud-1.6.0-cp37-cp37m-win_amd64.whl python版本是3.7 64位

ubuntu下安装python模块成功后调用依然提示未安装

pip安装virtualenv时提示已经成功安装 ![图片说明](https://img-ask.csdn.net/upload/201509/22/1442906300_391540.png) 但是调用时提示未安装 ![图片说明](https://img-ask.csdn.net/upload/201509/22/1442906283_617977.png)

linux使用clion进行c++和python的交叉编译,无法导入python的第三方库

在ubuntu14.04下使用clion进行c++调用python编写的模块,当python中import第三方库(如numpy时),出现错误。具体如下: 这是我的代码: cmakelist: ``` cmake_minimum_required(VERSION 3.5) project(image_pretreat) set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -util -ldl -pthread") # 添加Python.h头文件路径 include_directories(/home/neil/.pyenv/versions/3.6.4/include/python3.6m) # 添加python动态链接库文件目录 link_directories(/home/neil/.pyenv/versions/3.6.4/lib/python3.6/config-3.6m-x86_64-linux-gnu) set(SOURCE_FILES main.cpp) add_executable(image_pretreat ${SOURCE_FILES}) # 依赖库文件 target_link_libraries(image_pretreat libpython3.6m.a) target_link_libraries(image_pretreat ${CMAKE_DL_LIBS}) target_link_libraries(image_pretreat util) ``` main函数 ``` #include <Python.h> #include <iostream> using namespace std; int main() { Py_Initialize(); //声明python对象(模型、函数、参数、返回值) PyObject *pModule, *pFunction, *pArgs, *pRetValue; PyRun_SimpleString("import sys"); PyRun_SimpleString("sys.path.append('/home/neil/ClionProjects/image_pretreat')"); //调用python模块 pModule = PyImport_ImportModule("test123"); if (!pModule) { printf("import python failed!!\n"); return -1; } //调用python模块中的函数 pFunction = PyObject_GetAttrString(pModule, "add"); if (!pFunction) { printf("get python function failed!!!\n"); return -1; } //新建python元组对象 pArgs = PyTuple_New(2); PyTuple_SetItem(pArgs, 0, Py_BuildValue("i", 1)); PyTuple_SetItem(pArgs, 1, Py_BuildValue("i", 2)); int r1,r2; r1=r2=0; pRetValue=PyObject_CallObject(pFunction, pArgs); PyArg_ParseTuple(pRetValue, "i|i", &r1, &r2); printf("%d,%d",r1,r2); //关闭 Python 脚本解释器 Py_Finalize(); return 0; } ``` Python模块 ``` import numpy as np def add(a,b): return a+b,a-b ``` 报错: import python failed!! Process finished with exit code 255 已采取方法: 1、将python3.6各个路径都包含进了PYTHONPATH和PYTHONHOME环境变量 2、主函数中手动设置py_SetPythonhome函数

requests已经安装好,但是执行 r = requests.get("http://www.baidu.com")后出现以下提示

requests已经安装好,但是执行 r = requests.get("http://www.baidu.com")后出现以下提示,要怎么设置才能正常获取网页信息 >>> r = requests.get("http://www.baidu.com") Traceback (most recent call last): File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36-32\lib\site-packages\urllib3\connectionpool.py", line 597, in urlopen self._prepare_proxy(conn) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36-32\lib\site-packages\urllib3\connectionpool.py", line 807, in _prepare_proxy conn.connect() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36-32\lib\site-packages\urllib3\connection.py", line 370, in connect ssl_context=context) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36-32\lib\site-packages\urllib3\util\ssl_.py", line 355, in ssl_wrap_socket return context.wrap_socket(sock, server_hostname=server_hostname) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36-32\lib\ssl.py", line 407, in wrap_socket _context=self, _session=session) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36-32\lib\ssl.py", line 814, in __init__ self.do_handshake() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36-32\lib\ssl.py", line 1068, in do_handshake self._sslobj.do_handshake() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36-32\lib\ssl.py", line 689, in do_handshake self._sslobj.do_handshake() ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:833) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36-32\lib\site-packages\requests\adapters.py", line 449, in send timeout=timeout File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36-32\lib\site-packages\urllib3\connectionpool.py", line 641, in urlopen _stacktrace=sys.exc_info()[2]) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36-32\lib\site-packages\urllib3\util\retry.py", line 399, in increment raise MaxRetryError(_pool, url, error or ResponseError(cause)) urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='www.baidu.com', port=443): Max retries exceeded with url: /?tn=56080572_10_hao_pg (Caused by SSLError(SSLError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:833)'),)) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "<pyshell#3>", line 1, in <module> r = requests.get("http://www.baidu.com") File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36-32\lib\site-packages\requests\api.py", line 75, in get return request('get', url, params=params, **kwargs) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36-32\lib\site-packages\requests\api.py", line 60, in request return session.request(method=method, url=url, **kwargs) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36-32\lib\site-packages\requests\sessions.py", line 533, in request resp = self.send(prep, **send_kwargs) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36-32\lib\site-packages\requests\sessions.py", line 668, in send history = [resp for resp in gen] if allow_redirects else [] File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36-32\lib\site-packages\requests\sessions.py", line 668, in <listcomp> history = [resp for resp in gen] if allow_redirects else [] File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36-32\lib\site-packages\requests\sessions.py", line 247, in resolve_redirects **adapter_kwargs File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36-32\lib\site-packages\requests\sessions.py", line 646, in send r = adapter.send(request, **kwargs) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python36-32\lib\site-packages\requests\adapters.py", line 514, in send raise SSLError(e, request=request) requests.exceptions.SSLError: HTTPSConnectionPool(host='www.baidu.com', port=443): Max retries exceeded with url: /?tn=56080572_10_hao_pg (Caused by SSLError(SSLError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:833)'),)) 但是执行>>> r = requests.get("http://www.126.com")是正常的 >>> print(r.status_code) 200 >>> r.text

pyinstaller 打包python程序后出错,提示:"NoModuleFindError"

在用pyinstaller打包python程序 pyinstaller版本为:3.3.1 python 版本:3.6.1 系统版本:Windows-10-10.0.16299-SP0 ---------------------------------------------- 我的python程序名为:data_processing_gui.py 程序在python环境下正常运行。 打包使用的格式为:pyinstaller -F -p <导入的包路径> myprogram.py 完整打包命令为: ``` pyinstaller -F -p C:\Users\fanyu\Anaconda3\Lib;C:\Users\fanyu\Anaconda3\Lib\site-packages;C:\Users\fanyu\Anaconda3\Lib\site-packages\PyQt5\Qt\bin;C:\Users\fanyu\Anaconda3\Lib\site-packages\pydicom;C:\Users\fanyu\Anaconda3\Lib\site-packages\radiomics;C:\Users\fanyu\Anaconda3\Lib\site-packages\pywt;C:\Users\fanyu\Anaconda3\Lib\site-packages\pywt\_extensions;C:\Users\fanyu\Anaconda3\Lib\site-packages\tensorflow;C:\Users\fanyu\Anaconda3\Lib\site-packages\SimpleITK;C:\Users\fanyu\Anaconda3\Lib\site-packages\PIL;C:\Users\fanyu\Anaconda3\Lib\site-packages\pandas;C:\Users\fanyu\Anaconda3\Lib\site-packages\nrrd;C:\Users\fanyu\Anaconda3\Lib\site-packages\numpy -i C:\Users\fanyu\Desktop\work\package\image\doctor.ico data_processing_gui.py pause ``` 打包过程无报错,打包完成后运行程序提示出错信息: ``` Traceback (most recent call last): File "data_processing_gui.py", line 12, in <module> File "c:\users\fanyu\anaconda3\lib\site-packages\PyInstaller\loader\pyimod03_importers.py", line 631, in exec_module exec(bytecode, module.__dict__) File "site-packages\radiomics\__init__.py", line 15, in <module> File "c:\users\fanyu\anaconda3\lib\site-packages\PyInstaller\loader\pyimod03_importers.py", line 631, in exec_module exec(bytecode, module.__dict__) File "site-packages\radiomics\imageoperations.py", line 6, in <module> File "c:\users\fanyu\anaconda3\lib\site-packages\PyInstaller\loader\pyimod03_importers.py", line 631, in exec_module exec(bytecode, module.__dict__) File "site-packages\pywt\__init__.py", line 17, in <module> File "c:\users\fanyu\anaconda3\lib\site-packages\PyInstaller\loader\pyimod03_importers.py", line 631, in exec_module exec(bytecode, module.__dict__) File "site-packages\pywt\_functions.py", line 17, in <module> File "c:\users\fanyu\anaconda3\lib\site-packages\PyInstaller\loader\pyimod03_importers.py", line 714, in load_module module = loader.load_module(fullname) File "pywt/_extensions/_pywt.pyx", line 1, in init pywt._extensions._pywt (pywt\_extensions\_pywt.c:31281) ModuleNotFoundError: No module named 'pywt._extensions._cwt' [7564] Failed to execute script data_processing_gui ``` 这里给出的错误是找不到包,但是打包时已包含了pywt._extensions的路径,不知什么地方有错误,求大神支招~

在安装robotframework的AutoItLibrary库的时候遇到一个报错File "setup.py", line 57,求教各位大神

按照别的大神的安装帖子安装,一共3个插件,后面2个都安装好了,就第一个报错,![按照别的大神的安装帖子安装,一共3个插件,后面2个都安装好了,就第一个报错,报错代码如下](https://img-ask.csdn.net/upload/201907/01/1561960546_853724.png) 报错代码如下 ``` C:\Users\Administrator\Downloads\AutoItLibrary-1.1.post1>python setup.py install File "setup.py", line 57 print "Don't think we need to unregister the old one..." ^ SyntaxError: Missing parentheses in call to 'print'. Did you mean print(print "D on't think we need to unregister the old one...")? ``` 安装电脑环境 win7旗舰版 64位 python是 64位的3.6.4

python-docx no style with name 'Table Grid'" 求帮助

我想用 python-docx 新添一个表格但是总是出错。 代码是 ``` #-*-coding:utf-8-*- import re import time import datetime import sys import os import csv import docx from docx import Document from docx import * from docx.enum.text import WD_ALIGN_PARAGRAPH from docx.enum.table import WD_TABLE_ALIGNMENT from docx.enum.style import WD_STYLE_TYPE lastday=str(datetime.date.today()-datetime.timedelta(days=1)) CURRENT_DIR = os.path.dirname(os.path.abspath(sys.argv[0])) docxFilePath = os.path.join(CURRENT_DIR,'logtemp.docx') doc=Document(docxFilePath) def buildtable(): #id_numbers=sum(1 for row in idlist) table = doc.add_table(rows = 3, cols = 2) print type(table) table.alignment = WD_TABLE_ALIGNMENT.CENTER table.style = 'Table Grid' buildtable() ``` 但是编译的时候会出现一下错误 > Traceback (most recent call last): File "C:\Users\Robin-work-laptop\Dropbox\dot entrance log\PCsite\makereport.py", line 79, in buildtable() File "C:\Users\Robin-work-laptop\Dropbox\dot entrance log\PCsite\makereport.py", line 65, in buildtable table=doc.add_table(rows=9,cols=5,style = 'Table Grid') File "C:\Python27\lib\site-packages\docx\document.py", line 100, in add_table table.style = style File "C:\Python27\lib\site-packages\docx\table.py", line 134, in style style_or_name, WD_STYLE_TYPE.TABLE File "C:\Python27\lib\site-packages\docx\parts\document.py", line 76, in get_style_id return self.styles.get_style_id(style_or_name, style_type) File "C:\Python27\lib\site-packages\docx\styles\styles.py", line 113, in get_style_id return self._get_style_id_from_name(style_or_name, style_type) File "C:\Python27\lib\site-packages\docx\styles\styles.py", line 143, in _get_style_id_from_name return self._get_style_id_from_style(self[style_name], style_type) File "C:\Python27\lib\site-packages\docx\styles\styles.py", line 57, in getitem raise KeyError("no style with name '%s'" % key) KeyError: u"no style with name 'Table Grid'"

执行python setup.py install报警告,如何解决?

1、在服务器上安装某些软件,执行python setup.py install,打印UserWarning: Uknown distribution option: 'long_description_content_type'请问是什么原因导致的??该如何解决??

Linux下的python的pip问题

今天我安装了python3 然后pip安装tornado,测试发现导入不成功,通过find命令查到pip把tornado安装到python2.7里面去了 ![图片说明](https://img-ask.csdn.net/upload/201804/29/1525006422_521904.png) 通过搜索命令发现在python3.6里面有一个pip,于是我到usr/bin目录下面删除了pip的软连接 然后设置python3.6的pip软连接发现pip用不了 ![图片说明](https://img-ask.csdn.net/upload/201804/29/1525006713_105393.png)

偏最小二乘法回归的Python代码看不懂,有大佬可以帮忙解释一下吗?

{ "cells": [ { "cell_type": "code", "execution_count": 1, "metadata": {}, "outputs": [], "source": [ "#basic module\n", "import warnings\n", "warnings.filterwarnings('ignore')\n", "from sklearn import preprocessing\n", "from sklearn import metrics\n", "from sklearn.decomposition import PCA \n", "import numpy as np\n", "import pandas as pd" ] }, { "cell_type": "code", "execution_count": 2, "metadata": {}, "outputs": [ { "data": { "text/html": [ "<div>\n", "<style scoped>\n", " .dataframe tbody tr th:only-of-type {\n", " vertical-align: middle;\n", " }\n", "\n", " .dataframe tbody tr th {\n", " vertical-align: top;\n", " }\n", "\n", " .dataframe thead th {\n", " text-align: right;\n", " }\n", "</style>\n", "<table border=\"1\" class=\"dataframe\">\n", " <thead>\n", " <tr style=\"text-align: right;\">\n", " <th></th>\n", " <th>Q41</th>\n", " <th>Q42</th>\n", " <th>Q43</th>\n", " <th>Q44</th>\n", " <th>Q45</th>\n", " <th>Q46</th>\n", " <th>Q47</th>\n", " <th>Q48</th>\n", " <th>Q49</th>\n", " <th>Q410</th>\n", " <th>Q411</th>\n", " <th>Q412</th>\n", " <th>Q413</th>\n", " <th>Q414</th>\n", " <th>A1</th>\n", " <th>A2</th>\n", " <th>A3</th>\n", " </tr>\n", " </thead>\n", " <tbody>\n", " <tr>\n", " <td>0</td>\n", " <td>3</td>\n", " <td>3</td>\n", " <td>3</td>\n", " <td>3</td>\n", " <td>3</td>\n", " <td>4</td>\n", " <td>5</td>\n", " <td>5</td>\n", " <td>5</td>\n", " <td>5</td>\n", " <td>3</td>\n", " <td>3</td>\n", " <td>3</td>\n", " <td>3</td>\n", " <td>-1.61</td>\n", " <td>1.91</td>\n", " <td>-1.06</td>\n", " </tr>\n", " <tr>\n", " <td>1</td>\n", " <td>4</td>\n", " <td>4</td>\n", " <td>4</td>\n", " <td>4</td>\n", " <td>4</td>\n", " <td>2</td>\n", " <td>2</td>\n", " <td>2</td>\n", " <td>2</td>\n", " <td>5</td>\n", " <td>5</td>\n", " <td>2</td>\n", " <td>2</td>\n", " <td>2</td>\n", " <td>1.29</td>\n", " <td>-2.49</td>\n", " <td>-0.99</td>\n", " </tr>\n", " <tr>\n", " <td>2</td>\n", " <td>4</td>\n", " <td>4</td>\n", " <td>4</td>\n", " <td>4</td>\n", " <td>4</td>\n", " <td>5</td>\n", " <td>5</td>\n", " <td>5</td>\n", " <td>5</td>\n", " <td>5</td>\n", " <td>3</td>\n", " <td>3</td>\n", " <td>3</td>\n", " <td>3</td>\n", " <td>-0.04</td>\n", " <td>1.89</td>\n", " <td>-1.29</td>\n", " </tr>\n", " <tr>\n", " <td>3</td>\n", " <td>4</td>\n", " <td>4</td>\n", " <td>4</td>\n", " <td>4</td>\n", " <td>4</td>\n", " <td>5</td>\n", " <td>5</td>\n", " <td>5</td>\n", " <td>5</td>\n", " <td>5</td>\n", " <td>3</td>\n", " <td>3</td>\n", " <td>3</td>\n", " <td>3</td>\n", " <td>-0.04</td>\n", " <td>1.89</td>\n", " <td>-1.29</td>\n", " </tr>\n", " <tr>\n", " <td>4</td>\n", " <td>4</td>\n", " <td>4</td>\n", " <td>4</td>\n", " <td>4</td>\n", " <td>3</td>\n", " <td>5</td>\n", " <td>5</td>\n", " <td>5</td>\n", " <td>3</td>\n", " <td>3</td>\n", " <td>3</td>\n", " <td>4</td>\n", " <td>4</td>\n", " <td>3</td>\n", " <td>-0.23</td>\n", " <td>0.77</td>\n", " <td>-0.60</td>\n", " </tr>\n", " </tbody>\n", "</table>\n", "</div>" ], "text/plain": [ " Q41 Q42 Q43 Q44 Q45 Q46 Q47 Q48 Q49 Q410 Q411 Q412 Q413 Q414 \\\n", "0 3 3 3 3 3 4 5 5 5 5 3 3 3 3 \n", "1 4 4 4 4 4 2 2 2 2 5 5 2 2 2 \n", "2 4 4 4 4 4 5 5 5 5 5 3 3 3 3 \n", "3 4 4 4 4 4 5 5 5 5 5 3 3 3 3 \n", "4 4 4 4 4 3 5 5 5 3 3 3 4 4 3 \n", "\n", " A1 A2 A3 \n", "0 -1.61 1.91 -1.06 \n", "1 1.29 -2.49 -0.99 \n", "2 -0.04 1.89 -1.29 \n", "3 -0.04 1.89 -1.29 \n", "4 -0.23 0.77 -0.60 " ] }, "execution_count": 2, "metadata": {}, "output_type": "execute_result" } ], "source": [ "raw_data = pd.read_csv(\"257 928.csv\").loc[:,['Q41','Q42','Q43','Q44','Q45',\n", " 'Q46','Q47','Q48','Q49','Q410',\n", " 'Q411','Q412','Q413','Q414',\n", " 'A1','A2','A3']]\n", "raw_data.head()" ] }, { "cell_type": "code", "execution_count": 3, "metadata": {}, "outputs": [ { "data": { "text/plain": [ "Index(['Q41', 'Q42', 'Q43', 'Q44', 'Q45', 'Q46', 'Q47', 'Q48', 'Q49', 'Q410',\n", " 'Q411', 'Q412', 'Q413', 'Q414', 'A1', 'A2', 'A3'],\n", " dtype='object')" ] }, "execution_count": 3, "metadata": {}, "output_type": "execute_result" } ], "source": [ "raw_data.columns" ] }, { "cell_type": "code", "execution_count": 4, "metadata": {}, "outputs": [], "source": [ "def linear_model(X,w):\n", " _,loop = np.shape(X)\n", " sum = 0\n", " for i in range(loop):\n", " sum += w[i] * X[:,i]\n", " return sum" ] }, { "cell_type": "code", "execution_count": 5, "metadata": {}, "outputs": [], "source": [ "def loss_function(x_train, y_train, w):\n", " X = x_train\n", " Y_pred = linear_model(X,w)\n", " J = metrics.mean_squared_error(y_train, Y_pred)\n", " return J" ] }, { "cell_type": "code", "execution_count": 6, "metadata": {}, "outputs": [], "source": [ "def model(x_train, y_train, mini=1e-10, alpha=0.001, delta = 0.005, max_iter = 100, max_step = 5000): \n", " step = 0\n", " _,loop = np.shape(x_train)\n", " w = np.random.rand(loop)\n", " while(True):\n", " weights = np.array(w)\n", " for i in range(0, len(w)):\n", " step_ = 0\n", " while (True):\n", " # simplified gradient descent\n", " w_backup = w[i] \n", " loss_present = loss_function(x_train, y_train, w)\n", " w[i] = w_backup + delta\n", " loss_plus = loss_function(x_train, y_train, w)\n", " w[i] = w_backup - delta\n", " loss_sub = loss_function(x_train, y_train, w)\n", " if (loss_present < loss_plus and loss_present < loss_sub) or step_ >= max_step:\n", " break\n", " # update weights\n", " w[i] = w_backup - alpha*(loss_plus - loss_sub)/(2*delta)\n", " #w[i] = w_backup + alpha if loss_plus < loss_sub else w_backup - alpha\n", " step_ += 1\n", " offset = np.sum(np.square(np.array(w) - weights))\n", " # end condition\n", " step += 1\n", " if (offset < mini) or (step >= max_iter):\n", " break\n", " return w, loss_present" ] }, { "cell_type": "code", "execution_count": 7, "metadata": {}, "outputs": [], "source": [ "def obtain_elements(x_data, y_data, num):\n", " comp_list = []\n", " metric_list = []\n", " w_list = []\n", " pca_list = []\n", " for comp in range(num):\n", " n_comp = comp + 1\n", " # pca\n", " comp_list.append(n_comp)\n", " pca = PCA(n_components=n_comp,svd_solver='auto')\n", " X_ = x_data - np.mean(x_data)\n", " pca.fit(X_, y_data)\n", " X = pca.transform(X_)\n", " # linear reg\n", " pca_list.append(pca)\n", " w, metric = model(X, y_data )\n", " w_list.append(w)\n", " metric_list.append(metric)\n", " ind = metric_list.index(min(metric_list))\n", " print(\"metrics :\" ,metric_list)\n", " return comp_list[ind], pca_list[ind], w_list[ind]" ] }, { "cell_type": "code", "execution_count": 8, "metadata": {}, "outputs": [], "source": [ "# 第一组\n", "x1_data = raw_data.loc[:,['Q41','Q42','Q43','Q44','Q45']]\n", "y1_data = raw_data.loc[:,['A2']]\n", "len1 = 5\n", "# 第二组\n", "x2_data = raw_data.loc[:,['Q46','Q47','Q48','Q49','Q410']]\n", "y2_data = raw_data.loc[:,['A1']]\n", "len2 = 5\n", "# 第三组\n", "x3_data = raw_data.loc[:,['Q411','Q412','Q413','Q414']]\n", "y3_data = raw_data.loc[:,['A3']]\n", "len3 = 4" ] }, { "cell_type": "markdown", "metadata": {}, "source": [ "# 计算PLSR" ] }, { "cell_type": "markdown", "metadata": {}, "source": [ " 第一组" ] }, { "cell_type": "code", "execution_count": 9, "metadata": {}, "outputs": [ { "name": "stdout", "output_type": "stream", "text": [ "metrics : [0.937338177736278, 0.90366935147199, 0.9036905658620544, 0.9028029958313659, 0.9022534567720741]\n", "第一组的主成分保留5个\n", "回归系数为: [-0.17477811 0.25885742 -0.01157531 -0.07843881 0.06077944]\n" ] } ], "source": [ "comp_1, pca_1, w1 = obtain_elements(x1_data, y1_data, len1)\n", "print(\"第一组的主成分保留%d个\"%comp_1)\n", "print(\"回归系数为:\", w1)" ] }, { "cell_type": "markdown", "metadata": {}, "source": [ " 第二组" ] }, { "cell_type": "code", "execution_count": 10, "metadata": {}, "outputs": [ { "name": "stdout", "output_type": "stream", "text": [ "metrics : [0.9216669179495057, 0.9126959565507735, 0.900633447790304, 0.8930927646735571, 0.8824868647839249]\n", "第二组的主成分保留5个\n", "回归系数为: [-0.19525742 -0.14575206 -0.20305816 -0.17987887 -0.22941539]\n" ] } ], "source": [ "comp_2, pca_2, w2 = obtain_elements(x2_data, y2_data, len2)\n", "print(\"第二组的主成分保留%d个\"%comp_2)\n", "print(\"回归系数为:\", w2)" ] }, { "cell_type": "markdown", "metadata": {}, "source": [ " 第三组" ] }, { "cell_type": "code", "execution_count": 11, "metadata": {}, "outputs": [ { "name": "stdout", "output_type": "stream", "text": [ "metrics : [0.07356179930507709, 0.06803873635782488, 0.06747567528450515, 0.06722983639980304]\n", "第三组的主成分保留4个\n", "回归系数为: [-0.67029064 -0.10083604 0.0447786 -0.04806739]\n" ] } ], "source": [ "comp_3, pca_3, w3 = obtain_elements(x3_data, y3_data, len3)\n", "print(\"第三组的主成分保留%d个\"%comp_3)\n", "print(\"回归系数为:\", w3)" ] } ], "metadata": { "kernelspec": { "display_name": "Python 3", "language": "python", "name": "python3" }, "language_info": { "codemirror_mode": { "name": "ipython", "version": 3 }, "file_extension": ".py", "mimetype": "text/x-python", "name": "python", "nbconvert_exporter": "python", "pygments_lexer": "ipython3", "version": "3.7.4" } }, "nbformat": 4, "nbformat_minor": 2 } ``` ```

技术大佬:我去,你写的 switch 语句也太老土了吧

昨天早上通过远程的方式 review 了两名新来同事的代码,大部分代码都写得很漂亮,严谨的同时注释也很到位,这令我非常满意。但当我看到他们当中有一个人写的 switch 语句时,还是忍不住破口大骂:“我擦,小王,你丫写的 switch 语句也太老土了吧!” 来看看小王写的代码吧,看完不要骂我装逼啊。 private static String createPlayer(PlayerTypes p...

Vue + Spring Boot 项目实战(十九):Web 项目优化解决方案

快来一起探索如何打脸我们的破项目,兄弟姐妹们把害怕打在公屏上!

你连存活到JDK8中著名的Bug都不知道,我怎么敢给你加薪

CopyOnWriteArrayList.java和ArrayList.java,这2个类的构造函数,注释中有一句话 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 public ArrayList(Collection&lt;? ...

副业收入是我做程序媛的3倍,工作外的B面人生是怎样的?

提到“程序员”,多数人脑海里首先想到的大约是:为人木讷、薪水超高、工作枯燥…… 然而,当离开工作岗位,撕去层层标签,脱下“程序员”这身外套,有的人生动又有趣,马上展现出了完全不同的A/B面人生! 不论是简单的爱好,还是正经的副业,他们都干得同样出色。偶尔,还能和程序员的特质结合,产生奇妙的“化学反应”。 @Charlotte:平日素颜示人,周末美妆博主 大家都以为程序媛也个个不修边幅,但我们也许...

CSDN:因博主近期注重写专栏文章(已超过150篇),订阅博主专栏人数在突增,近期很有可能提高专栏价格(已订阅的不受影响),提前声明,敬请理解!

CSDN:因博主近期注重写专栏文章(已超过150篇),订阅博主专栏人数在突增,近期很有可能提高专栏价格(已订阅的不受影响),提前声明,敬请理解! 目录 博客声明 大数据了解博主粉丝 博主的粉丝群体画像 粉丝群体性别比例、年龄分布 粉丝群体学历分布、职业分布、行业分布 国内、国外粉丝群体地域分布 博主的近期访问每日增量、粉丝每日增量 博客声明 因近期博主写专栏的文章越来越多,也越来越精细,逐步优化文章。因此,最近一段时间,订阅博主专栏的人数增长也非常快,并且专栏价

一个HashMap跟面试官扯了半个小时

一个HashMap能跟面试官扯上半个小时 关注 安琪拉的博客 1.回复面试领取面试资料 2.回复书籍领取技术电子书 3.回复交流领取技术电子书 前言 HashMap应该算是Java后端工程师面试的必问题,因为其中的知识点太多,很适合用来考察面试者的Java基础。 开场 面试官: 你先自我介绍一下吧! 安琪拉: 我是安琪拉,草丛三婊之一,最强中单(钟馗不服)!哦,不对,串场了,我是**,目...

我说我不会算法,阿里把我挂了。

不说了,字节跳动也反手把我挂了。

记录下入职中软一个月(外包华为)

我在年前从上一家公司离职,没想到过年期间疫情爆发,我也被困在家里,在家呆着的日子让人很焦躁,于是我疯狂的投简历,看面试题,希望可以进大公司去看看。 我也有幸面试了我觉得还挺大的公司的(虽然不是bat之类的大厂,但是作为一名二本计算机专业刚毕业的大学生bat那些大厂我连投简历的勇气都没有),最后选择了中软,我知道这是一家外包公司,待遇各方面甚至不如我的上一家公司,但是对我而言这可是外包华为,能...

面试:第十六章:Java中级开发

HashMap底层实现原理,红黑树,B+树,B树的结构原理 Spring的AOP和IOC是什么?它们常见的使用场景有哪些?Spring事务,事务的属性,传播行为,数据库隔离级别 Spring和SpringMVC,MyBatis以及SpringBoot的注解分别有哪些?SpringMVC的工作原理,SpringBoot框架的优点,MyBatis框架的优点 SpringCould组件有哪些,他们...

培训班出来的人后来都怎么样了?(二)

接着上回说,培训班学习生涯结束了。后面每天就是无休止的背面试题,不是没有头脑的背,培训公司还是有方法的,现在回想当时背的面试题好像都用上了,也被问到了。回头找找面试题,当时都是打印下来天天看,天天背。 不理解呢也要背,面试造飞机,上班拧螺丝。班里的同学开始四处投简历面试了,很快就有面试成功的,刚开始一个,然后越来越多。不知道是什么原因,尝到胜利果实的童鞋,不满足于自己通过的公司,嫌薪水要少了,选择...

面试了一个 31 岁程序员,让我有所触动,30岁以上的程序员该何去何从?

最近面试了一个31岁8年经验的程序猿,让我有点感慨,大龄程序猿该何去何从。

大三实习生,字节跳动面经分享,已拿Offer

说实话,自己的算法,我一个不会,太难了吧

程序员垃圾简历长什么样?

已经连续五年参加大厂校招、社招的技术面试工作,简历看的不下于万份 这篇文章会用实例告诉你,什么是差的程序员简历! 疫情快要结束了,各个公司也都开始春招了,作为即将红遍大江南北的新晋UP主,那当然要为小伙伴们做点事(手动狗头)。 就在公众号里公开征简历,义务帮大家看,并一一点评。《启舰:春招在即,义务帮大家看看简历吧》 一石激起千层浪,三天收到两百多封简历。 花光了两个星期的所有空闲时...

工作八年,月薪60K,裸辞两个月,投简历投到怀疑人生!

近日,有网友在某职场社交平台吐槽,自己裸辞两个月了,但是找工作却让自己的心态都要崩溃了,全部无果,不是已查看无回音,就是已查看不符合。 “工作八年,两年一跳,裸辞两个月了,之前月薪60K,最近找工作找的心态崩了!所有招聘工具都用了,全部无果,不是已查看无回音,就是已查看不符合。进头条,滴滴之类的大厂很难吗???!!!投简历投的开始怀疑人生了!希望 可以收到大厂offer” 先来看看网...

大牛都会用的IDEA调试技巧!!!

导读 前天面试了一个985高校的实习生,问了他平时用什么开发工具,他想也没想的说IDEA,于是我抛砖引玉的问了一下IDEA的调试用过吧,你说说怎么设置断点...

都前后端分离了,咱就别做页面跳转了!统统 JSON 交互

文章目录1. 无状态登录1.1 什么是有状态1.2 什么是无状态1.3 如何实现无状态1.4 各自优缺点2. 登录交互2.1 前后端分离的数据交互2.2 登录成功2.3 登录失败3. 未认证处理方案4. 注销登录 这是本系列的第四篇,有小伙伴找不到之前文章,松哥给大家列一个索引出来: 挖一个大坑,Spring Security 开搞! 松哥手把手带你入门 Spring Security,别再问密...

97年世界黑客编程大赛冠军作品(大小仅为16KB),惊艳世界的编程巨作

这是世界编程大赛第一名作品(97年Mekka ’97 4K Intro比赛)汇编语言所写。 整个文件只有4095个字节, 大小仅仅为16KB! 不仅实现了3D动画的效果!还有一段震撼人心的背景音乐!!! 内容无法以言语形容,实在太强大! 下面是代码,具体操作看最后! @echo off more +1 %~s0|debug e100 33 f6 bf 0 20 b5 10 f3 a5...

程序员是做全栈工程师好?还是专注一个领域好?

昨天,有位大一的同学私信我,说他要做全栈工程师。 我一听,这不害了孩子么,必须制止啊。 谁知,讲到最后,更确定了他做全栈程序员的梦想。 但凡做全栈工程师的,要么很惨,要么很牛! 但凡很牛的,绝不是一开始就是做全栈的! 全栈工程师听起来好听,但绝没有你想象的那么简单。 今天听我来给你唠,记得帮我点赞哦。 一、全栈工程师的职责 如果你学习编程的目的只是玩玩,那随意,想怎么学怎么学。...

不要再到处使用 === 了

我们知道现在的开发人员都使用 === 来代替 ==,为什么呢?我在网上看到的大多数教程都认为,要预测 JavaScript 强制转换是如何工作这太复杂了,因此建议总是使用===。这些都...

什么是a站、b站、c站、d站、e站、f站、g站、h站、i站、j站、k站、l站、m站、n站?00后的世界我不懂!

A站 AcFun弹幕视频网,简称“A站”,成立于2007年6月,取意于Anime Comic Fun,是中国大陆第一家弹幕视频网站。A站以视频为载体,逐步发展出基于原生内容二次创作的完整生态,拥有高质量互动弹幕,是中国弹幕文化的发源地;拥有大量超粘性的用户群体,产生输出了金坷垃、鬼畜全明星、我的滑板鞋、小苹果等大量网络流行文化,也是中国二次元文化的发源地。 B站 全称“哔哩哔哩(bilibili...

十个摸鱼,哦,不对,是炫酷(可以玩一整天)的网站!!!

文章目录前言正文**1、Kaspersky Cyberthreat real-time map****2、Finding Home****3、Silk – Interactive Generative Art****4、Liquid Particles 3D****5、WINDOWS93****6、Staggering Beauty****7、Ostagram图片生成器网址****8、全历史网址*...

终于,月薪过5万了!

来看几个问题想不想月薪超过5万?想不想进入公司架构组?想不想成为项目组的负责人?想不想成为spring的高手,超越99%的对手?那么本文内容是你必须要掌握的。本文主要详解bean的生命...

用了这个 IDE 插件,5分钟解决前后端联调!

点击上方蓝色“程序猿DD”,选择“设为星标”回复“资源”获取独家整理的学习资料!作者 |李海庆我是一个 Web 开发前端工程师,受到疫情影响,今天是我在家办公的第78天。开发了两周,...

大厂的 404 页面都长啥样?最后一个笑了...

每天浏览各大网站,难免会碰到404页面啊。你注意过404页面么?猿妹搜罗来了下面这些知名网站的404页面,以供大家欣赏,看看哪个网站更有创意: 正在上传…重新上传取消 腾讯 正在上传…重新上传取消 网易 淘宝 百度 新浪微博 正在上传…重新上传取消 新浪 京东 优酷 腾讯视频 搜...

自从喜欢上了B站这12个UP主,我越来越觉得自己是个废柴了!

不怕告诉你,我自从喜欢上了这12个UP主,哔哩哔哩成为了我手机上最耗电的软件,几乎每天都会看,可是吧,看的越多,我就越觉得自己是个废柴,唉,老天不公啊,不信你看看…… 间接性踌躇满志,持续性混吃等死,都是因为你们……但是,自己的学习力在慢慢变强,这是不容忽视的,推荐给你们! 都说B站是个宝,可是有人不会挖啊,没事,今天咱挖好的送你一箩筐,首先啊,我在B站上最喜欢看这个家伙的视频了,为啥 ,咱撇...

代码注释如此沙雕,会玩还是你们程序员!

某站后端代码被“开源”,同时刷遍全网的,还有代码里的那些神注释。 我们这才知道,原来程序员个个都是段子手;这么多年来,我们也走过了他们的无数套路… 首先,产品经理,是永远永远吐槽不完的!网友的评论也非常扎心,说看这些代码就像在阅读程序员的日记,每一页都写满了对产品经理的恨。 然后,也要发出直击灵魂的质问:你是尊贵的付费大会员吗? 这不禁让人想起之前某音乐app的穷逼Vip,果然,穷逼在哪里都是...

Java14 新特性解读

Java14 已于 2020 年 3 月 17 号发布,官方特性解读在这里:https://openjdk.java.net/projects/jdk/14/以下是个人对于特性的中文式...

前端还能这么玩?(女朋友生日,用前端写了一个好玩的送给了她,高兴坏了)

前端还能这么玩?(女朋友生日,用前端写了一个好玩的送给了她,高兴坏了)

爬虫(101)爬点重口味的

小弟最近在学校无聊的很哪,浏览网页突然看到一张图片,都快流鼻血。。。然后小弟冥思苦想,得干一点有趣的事情python 爬虫库安装https://s.taobao.com/api?_ks...

工作两年简历写成这样,谁要你呀!

作者:小傅哥 博客:https://bugstack.cn 沉淀、分享、成长,让自己和他人都能有所收获! 一、前言 最近有伙伴问小傅哥,我的简历怎么投递了都没有反应,心里慌的很呀。 工作两年了目前的公司没有什么大项目,整天的维护别人的代码,有坑也不让重构,都烦死了。荒废我一身技能无处施展,投递的简历也没人看。我是不动物园里的猩猩,狒狒了! 我要加班,我要996,我要疯狂编码,求给我个机会… ...

相关热词 c# 按行txt c#怎么扫条形码 c#打包html c# 实现刷新数据 c# 两个自定义控件重叠 c#浮点类型计算 c#.net 中文乱码 c# 时间排序 c# 必备书籍 c#异步网络通信
立即提问